Bug 1292740 - Misleading UI error while creating a new container, though docker type compute-resource already added there
Misleading UI error while creating a new container, though docker type comput...
Status: CLOSED DEFERRED
Product: Red Hat Satellite 6
Classification: Red Hat
Component: Container Management (Show other bugs)
Nightly
Unspecified Unspecified
unspecified Severity high (vote)
: GA
: --
Assigned To: Daniel Lobato Garcia
Sachin Ghai
http://projects.theforeman.org/issues...
: PrioBumpQA, Triaged
Depends On:
Blocks: 1204923 1247313
  Show dependency treegraph
 
Reported: 2015-12-18 04:11 EST by Sachin Ghai
Modified: 2017-03-13 16:15 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2017-03-13 16:15:23 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
misleading error on UI (58.60 KB, image/png)
2015-12-18 04:11 EST, Sachin Ghai
no flags Details


External Trackers
Tracker ID Priority Status Summary Last Updated
Foreman Issue Tracker 12872 None None None 2016-04-22 11:54 EDT

  None (edit)
Description Sachin Ghai 2015-12-18 04:11:04 EST
Created attachment 1107053 [details]
misleading error on UI

Description of problem:
I was trying to add a new container from webUI. So I created a local docker compute-resource. Test-connection was successful. I added a docker repo with busybox image.

But when I tried a to create a new container, I got following message:

"False You need a Docker compute resource in order to create containers. Please add a new one and try again. "

This is misleading error. 

production.log:


2015-12-18 04:00:35 [app] [I] 
 | 
 | Started PUT "/wizard_states/4/steps/preliminary" for 10.67.5.149 at 2015-12-18 04:00:35 -0500
2015-12-18 04:00:35 [app] [I] Processing by Containers::StepsController#update as HTML
2015-12-18 04:00:35 [app] [I]   Parameters: {"utf8"=>"✓", "authenticity_token"=>"Yhv6xtcQm55biaNwgENqia9L1vxGCPcpkb4CRLH648I=", "docker_container_wizard_states_preliminary"=>{"compute_resource_id"=>"1", "location_ids"=>["", "2"], "organization_ids"=>["", "1"]}, "wizard_state_id"=>"4", "id"=>"preliminary"}
2015-12-18 04:00:49 [app] [I]   Rendered taxonomies/_loc_org_tabs.html.erb (17.8ms)
2015-12-18 04:00:49 [app] [I]   Rendered /opt/theforeman/tfm/root/usr/share/gems/gems/foreman_docker-1.4.1/app/views/containers/steps/_title.html.erb (45.1ms)
2015-12-18 04:00:49 [app] [I]   Rendered /opt/theforeman/tfm/root/usr/share/gems/gems/foreman_docker-1.4.1/app/views/containers/steps/preliminary.html.erb within layouts/application (45.7ms)
2015-12-18 04:00:49 [app] [I]   Rendered home/_user_dropdown.html.erb (189.4ms)
2015-12-18 04:00:49 [app] [I] Read fragment views/tabs_and_title_records-3 (0.2ms)
2015-12-18 04:00:49 [app] [I]   Rendered home/_topbar.html.erb (191.1ms)
2015-12-18 04:00:49 [app] [I]   Rendered layouts/base.html.erb (192.9ms)
2015-12-18 04:00:49 [app] [I] Completed 200 OK in 14771ms (Views: 237.4ms | ActiveRecord: 10.4ms)
2015-12-18 04:00:54 [app] [I] 
 | 
 | Started GET "/assets/false.png" for 10.67.5.149 at 2015-12-18 04:00:54 -0500
2015-12-18 04:00:54 [app] [I] Served asset /false.png - 404 Not Found (13ms)
2015-12-18 04:00:54 [app] [F] 
 | ActionController::RoutingError (No route matches [GET] "/assets/false.png"):
 |   /usr/lib/ruby/gems/1.8/gems/passenger-4.0.18/lib/phusion_passenger/rack/thread_handler_extension.rb:77:in `process_request'
 |   /usr/lib/ruby/gems/1.8/gems/passenger-4.0.18/lib/phusion_passenger/request_handler/thread_handler.rb:140:in `accept_and_process_next_request'
 |   /usr/lib/ruby/gems/1.8/gems/passenger-4.0.18/lib/phusion_passenger/request_handler/thread_handler.rb:108:in `main_loop'
 |   /usr/lib/ruby/gems/1.8/gems/passenger-4.0.18/lib/phusion_passenger/request_handler.rb:441:in `block (3 levels) in start_threads'


Version-Release number of selected component (if applicable):
nightly

How reproducible:
always

Steps to Reproduce:
1. create a new container on docker compute-resource 
3.

Actual results:
 when I tried a to create a new container, I got following message:

"False You need a Docker compute resource in order to create containers. Please add a new one and try again. "

This is misleading error. 


Expected results:
user should move to next tab

Additional info:
Comment 1 Sachin Ghai 2015-12-18 04:11:35 EST
Reproducible with:

foreman-1.11.0-0.develop.201512111432git98f6ca5.el6.noarch
foreman-release-1.11.0-0.develop.201512111432git98f6ca5.el6.noarch
katello-2.5.0-2.nightly.el6.noarch
katello-installer-2.5.0-1.nightly.201512140226git40b4975.el6.noarch
katello-repos-2.4.0-2.nightly.el6.noarch
pulp-katello-0.4-3.el6.noarch
katello-service-2.5.0-2.nightly.el6.noarch
Comment 3 Sachin Ghai 2015-12-18 04:34:30 EST
Created redmine issue http://projects.theforeman.org/issues/12872 from this bug
Comment 4 Bryan Kearney 2015-12-18 06:02:49 EST
Upstream bug component is Content Management
Comment 6 Bryan Kearney 2015-12-21 10:02:52 EST
Upstream bug component is Container Management
Comment 9 Bryan Kearney 2017-03-13 16:15:23 EDT
This has been copied to an issue upstream. When the upstream issue is fixed, the next version of satellite will contain it. We will no longer track this downstream.

Note You need to log in before you can comment on or make changes to this bug.